> ## Documentation Index
> Fetch the complete documentation index at: https://globalprs-docs.sadhguru.org/llms.txt
> Use this file to discover all available pages before exploring further.

# SubmitPaymentStep

> Submit payment step



## OpenAPI

````yaml api-reference/openapi.json post /flows/{flow_id}/steps/{step_key}/payment
openapi: 3.1.0
info:
  title: PRS API
  version: 0.0.1
  description: API for PRS
servers:
  - url: /
security:
  - BearerToken: []
    SystemToken: []
paths:
  /flows/{flow_id}/steps/{step_key}/payment:
    post:
      tags:
        - Steps
      summary: SubmitPaymentStep
      description: Submit payment step
      operationId: FlowsFlowIdStepsStepKeyPaymentSubmitPaymentStep
      parameters:
        - name: flow_id
          in: path
          schema:
            type: integer
          required: true
          deprecated: false
        - name: step_key
          in: path
          schema:
            type: string
          required: true
          deprecated: false
        - name: language_code
          in: query
          schema:
            type: string
          required: true
          deprecated: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentStepSubmissionData'
        required: true
      responses:
        '201':
          description: Document created, URL follows
          headers: {}
          content:
            application/json:
              schema: {}
        '400':
          description: Bad request syntax or unsupported method
          content:
            application/json:
              schema:
                properties:
                  status_code:
                    type: integer
                  detail:
                    type: string
                  extra:
                    additionalProperties: {}
                    type:
                      - 'null'
                      - object
                      - array
                type: object
                required:
                  - detail
                  - status_code
                description: Validation Exception
                examples:
                  - status_code: 400
                    detail: Bad Request
                    extra: {}
      deprecated: false
components:
  schemas:
    PaymentStepSubmissionData:
      properties:
        status:
          type: string
        errCode:
          type: string
        errMsg:
          type: string
        requestId:
          oneOf:
            - type: 'null'
            - type: string
        paymentId:
          oneOf:
            - type: 'null'
            - type: string
        transactionId:
          oneOf:
            - type: 'null'
            - type: string
        booking_id:
          type: string
      type: object
      required:
        - errCode
        - errMsg
        - status
      title: PaymentStepSubmissionData
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
    SystemToken:
      type: apiKey
      description: System token for additional authentication
      name: x-system-token
      in: header

````